This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 499796 - RFE: libdvdread doesn't report if region is unset
RFE: libdvdread doesn't report if region is unset
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: libdvdread (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 05:15 EDT by Michael Monreal
Modified: 2013-11-19 17:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Console log with gst-plugins-bad 0.10.11.2 (6.04 KB, text/plain)
2009-05-13 10:16 EDT, Michael Monreal
no flags Details
Console log with gst-plugins-bad 0.10.11.2 and keys copied (4.74 KB, text/plain)
2009-05-13 10:17 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-05-08 05:15:30 EDT
When trying to play the FMJ DVD I get this:

$ totem /media/FULL_METAL_JACKET
No accelerated IMDCT transform found
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Attempting to use device /dev/sr0 mounted on /media/FULL_METAL_JACKET for CSS authentication
libdvdread: Invalid title IFO (VTS_02_0.IFO).
No accelerated IMDCT transform found
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Attempting to use device /dev/sr0 mounted on /media/FULL_METAL_JACKET for CSS authentication
libdvdread: Invalid title IFO (VTS_02_0.IFO).
** Message: Error: Could not read title information for DVD.
resindvdsrc.c(333): rsn_dvdsrc_start (): /GstPlayBin:play/RsnDvdBin:source/resinDvdSrc:dvdsrc:
system error: File exists

or

$ totem dvd://
** Message: no file info
No accelerated IMDCT transform found
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Invalid title IFO (VTS_02_0.IFO).
No accelerated IMDCT transform found
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Invalid title IFO (VTS_02_0.IFO).
** Message: Error: Could not read title information for DVD.
resindvdsrc.c(333): rsn_dvdsrc_start (): /GstPlayBin:play/RsnDvdBin:source/resinDvdSrc:dvdsrc:
system error: File exists


If I let totem run using nautilus I get the very missleading message:

---
An error occurred

Could not open location; you might not have permission to open the file.
---
Comment 1 Michael Monreal 2009-05-08 05:22:51 EDT
Hmm, found this very similar Ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/libdvdread/+bug/342890

So is this likely to be a dvdread bug? This is what ubuntu is doing:

---
libdvdread (4.1.3-4ubuntu2) jaunty; urgency=low

  * Use autogen.sh and configure script instead of configure2 till we figure
    out why configure2 breaks the library. (LP: #342890)
  * debian/control
    - Add autoconf, automake, libtool to 'Build-Depends' as required by the
      autogen.sh script.
  * debian/rules
    - Add -DHAVE_DLFCN_H to CFLAGS. Use autogen.sh instead of configure2 script.
  * debian/libdvdread-dev.install
    - Add .la and macro file to libdvdread-dev package.
  * debian/patches/04-fix-lib-version.patch
    - Correct the version of libdvdread.so file.
---

The other solution mentioned is "with xine, all works perfectly" :/
Comment 2 Bastien Nocera 2009-05-08 08:09:50 EDT
Jan (the upstream author of resindvd) mentions that this should be fixed in the current gst-plugins-bad master.

Given that we don't ship gst-plugins-bad, but do ship libdvdread, please test with the current gst-plugins-bad master.
Comment 3 Michael Monreal 2009-05-13 05:35:50 EDT
I compiled the latest pre-prelease of gst-plugins-bad on my ubuntu system and DVD playback works very well there. I'm still struggling to get things working on F11 though. Given the fact that I also have issues with non-gstreamer DVD apps, there may actually be two bugs here (one fixed in recent -bad and one still in libdvdread).
Comment 4 Bastien Nocera 2009-05-13 08:05:40 EDT
I thought you said it worked "perfectly" with xine? Reassigning to libdvdread then.
Comment 5 Michael Monreal 2009-05-13 08:12:11 EDT
(In reply to comment #4)
> I thought you said it worked "perfectly" with xine? Reassigning to libdvdread
> then.  

Sorry, that was just another quote from the Ubuntu bug (which I still don't know if it is related). However, I will try xine if that helps narrowing down the problem.
Comment 6 Michael Monreal 2009-05-13 10:15:43 EDT
Ok, tested playing the DVD with mplayer and xine on F11, no luck. I also tried copying the relevant keys from ~/.dvdcss/ from my other system, still no luck.
Comment 7 Michael Monreal 2009-05-13 10:16:49 EDT
Created attachment 343772 [details]
Console log with gst-plugins-bad 0.10.11.2
Comment 8 Michael Monreal 2009-05-13 10:17:26 EDT
Created attachment 343774 [details]
Console log with gst-plugins-bad 0.10.11.2 and keys copied
Comment 9 Michael Monreal 2009-05-13 12:17:41 EDT
And so I finally found the issue (!)

...
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Media region code is mismatched to logical unit region
end_request: I/O error, dev sr0, sector 308320
...

The drive did not have a region code set. I used regionset and now it works.
1) since when does linux care about dvd region protection in any way?
2) can this be worked around without using regionset?
3) if not, is there a way to tell the user what to do instead of crashing and/or showing useless messages?
Comment 10 Jan Schmidt 2009-05-13 13:01:58 EDT
Linux cares about the region protection because you have a drive with an RPC-II firmware (as all new drives are). With RPC-II, the drive itself actively refuses access to some of the data unless the correct region is set and CSS negotiation succeeds.

The only solution is to either set the correct region on the drive (can only be changed a limited number of times etc), or to find an RPC-I firmware for the drive model and reflash the drive with a 'region-free' firmware.
Comment 11 Bastien Nocera 2009-05-13 13:10:17 EDT
libdvdread should get us back a decent error when the region of the DVD and the drive don't match, so that the resindvd plugin could tell us what's wrong.

This would involve pulling code from regionset. Is there an upstream for libdvdread these days, that'll take patches?
Comment 12 Michael Monreal 2009-05-13 13:19:18 EDT
(In reply to comment #11)
> libdvdread should get us back a decent error when the region of the DVD and the
> drive don't match, so that the resindvd plugin could tell us what's wrong.
That would be nice. I'm sure a few of the posters in the ubuntu bug linked above suffer from the same confusion as me...

> Is there an upstream for libdvdread these days, that'll take patches?  
I found a short explaination from *bsd:

---
Update to libdvdread 4.1.3. This is a fun one, as dvdread/dvdnav is now
maintained by the mplayer project and according to the changelog, this
dvdread package was split out from dvdnav in 4.1.3. Check the ChangeLog
in the distfile for the full drama.
---
Comment 13 Jan Schmidt 2009-05-13 13:23:12 EDT
the checks in libdvdread also need to take into account that the drive might be RPC-I, or already have been flashed with a region-free firmware. In that case, it doesn't matter if the region doesn't match.

Effectively, libdvdread needs to try and get some data, and only double-check about the regions if it fails.
Comment 14 Bug Zapper 2009-06-09 11:26:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Dominik 'Rathann' Mierzejewski 2009-09-26 17:03:03 EDT
Thanks for the report, folks. Ideally this should be moved to upstream bugtracker, but we don't have one yet. I've forwarded the request.
Comment 16 Bug Zapper 2010-04-27 10:13:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Tim Nelson 2010-12-30 01:41:13 EST
Still seems to be present in Fedora 13.
Comment 18 William Henry 2011-12-09 20:40:21 EST
William Henry
The libdvdread error is still present in Fedora 14. 
[quasar@localhost ~]$ lsdvd
libdvdread: Using libdvdcss version 1.2.11 for DVD access
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.IFO failed
libdvdnav:DVDOpenFileUDF:UDFFindFile /VIDEO_TS/VIDEO_TS.BUP failed
libdvdread: Can't open file VIDEO_TS.IFO.

From lshw:
*-cdrom:0
                description: DVD-RAM writer
                product: DVD A  DH20A4P
                vendor: ATAPI
                physical id: 2
                bus info: scsi@1:0.0.0
                logical name: /dev/cdrom1
                logical name: /dev/cdrw1
                logical name: /dev/dvd1
                logical name: /dev/dvdrw1
                logical name: /dev/scd0
                logical name: /dev/sr0
                logical name: /media/Pirates_Of_The_Carribean_4_USA
                version: 9P53
                capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
                configuration: ansiversion=5 mount.fstype=udf mount.options=ro,nosuid,nodev,relatime,uid=500,gid=500,umask=77,iocharset=utf8 state=mounted status=ready
              *-medium
                   physical id: 0
                   logical name: /dev/cdrom1
                   logical name: /media/Pirates_Of_The_Carribean_4_USA
                   configuration: mount.fstype=udf mount.options=ro,nosuid,nodev,relatime,uid=500,gid=500,umask=77,iocharset=utf8 state=mounted

The region code on my dvd device is unset. The disc type is DVD9

Note You need to log in before you can comment on or make changes to this bug.